%{?scl:%scl_package nodejs-defaults}
%{!?scl:%global pkg_name %{name}}

%global enable_tests 1

Name:		%{?scl_prefix}nodejs-defaults
Version:	1.0.0
Release:	3%{?dist}
Summary:	A simple one level options merge utility
License:	MIT
Url:		https://github.com/tmpvar/defaults
Source0:	http://registry.npmjs.org/defaults/-/defaults-%{version}.tgz
Source1:	https://raw.githubusercontent.com/tmpvar/defaults/master/LICENSE
#https://github.com/tmpvar/defaults/pull/1
BuildRequires:	nodejs-packaging
BuildRequires:	nodejs-clone
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

%{?nodejs_find_provides_and_requires}

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
Merge single level defaults over a config object.

%prep
%setup -q -n package
%{nodejs_fixdep} clone '=0.2.0'

cp -p %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/defaults
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/defaults/

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
node test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/defaults

%changelog
* Tue Mar 17 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-3
- Added %check, %license, nodejs-clone dependency, changed ExclusiveArch, removed Group, BuildRoot and %defattr, fixed dependency on nodejs-packaging

* Mon Jan 12 2015 Tomas Hrcka <thrcka@redhat.com> - 1.0.0-2
- Initial build
